Bug 1115025 - (CVE-2018-16844) VUL-0: CVE-2018-16844: nginx,nginx-1.0: Excessive CPU usage via flaw in HTTP/2 implementation
(CVE-2018-16844)
VUL-0: CVE-2018-16844: nginx,nginx-1.0: Excessive CPU usage via flaw in HTTP/...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Artem Chernikov
Security Team bot
https://smash.suse.de/issue/218727/
CVSSv2:NVD:CVE-2018-16844:7.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-07 13:57 UTC by Robert Frohl
Modified: 2021-03-19 08:05 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2018-11-07 13:57:30 UTC
rh#1644510

nginx before versions 1.15.6 and 1.14.1 has a vulnerability in the implementation of HTTP/2 that can allow for excessive CPU usage.

upstream patch:
https://hg.nginx.org/nginx/rev/e7f19d268c72

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1644510
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-16844
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-16844.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16844
Comment 1 Robert Frohl 2018-11-07 14:10:26 UTC
Hi Artem,
same affected codestream as bnc#1115022:
- SUSE:SLE-15:Update/nginx


SLE-11-SP2 is not affected because HTTP/2 is not supported in the version we ship there.
Comment 2 Christian Wittmer 2018-12-18 09:42:23 UTC
################################
Excessive CPU usage in HTTP/2
Severity: low
Advisory
CVE-2018-16844
Not vulnerable: 1.15.6+, 1.14.1+
Vulnerable: 1.9.5-1.15.5
################################

Preparing Maintenance Request ...
Comment 3 Swamp Workflow Management 2018-12-18 11:43:36 UTC
This is an autogenerated message for OBS integration:
This bug (1115025) was mentioned in
https://build.opensuse.org/request/show/659058 15.0+42.3+Backports:SLE-12 / nginx
Comment 4 Robert Frohl 2019-01-03 12:25:25 UTC
I think everything should be clarified, currently waiting for submission (removing needinfo)
Comment 5 Swamp Workflow Management 2019-02-05 11:40:17 UTC
This is an autogenerated message for OBS integration:
This bug (1115025) was mentioned in
https://build.opensuse.org/request/show/671823 42.3 / nginx
Comment 6 Swamp Workflow Management 2019-02-05 13:30:15 UTC
This is an autogenerated message for OBS integration:
This bug (1115025) was mentioned in
https://build.opensuse.org/request/show/671853 15.0 / nginx
Comment 7 Swamp Workflow Management 2019-02-05 19:00:17 UTC
This is an autogenerated message for OBS integration:
This bug (1115025) was mentioned in
https://build.opensuse.org/request/show/671959 15.0+42.3+Backports:SLE-12 / nginx
Comment 9 Swamp Workflow Management 2019-02-12 17:10:41 UTC
SUSE-SU-2019:0334-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1115015,1115022,1115025
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    nginx-1.14.2-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    nginx-1.14.2-3.3.1
Comment 10 Swamp Workflow Management 2019-02-18 14:13:58 UTC
openSUSE-SU-2019:0195-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1115015,1115022,1115025
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845
Sources used:
openSUSE Leap 42.3 (src):    nginx-1.14.2-2.7.1
openSUSE Leap 15.0 (src):    nginx-1.14.2-lp150.2.4.1
Comment 11 Swamp Workflow Management 2019-02-18 14:15:20 UTC
openSUSE-SU-2019:0195-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1115015,1115022,1115025
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845
Sources used:
openSUSE Leap 42.3 (src):    nginx-1.14.2-2.7.1
openSUSE Leap 15.0 (src):    nginx-1.14.2-lp150.2.4.1
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    nginx-1.14.2-16.1
Comment 13 Swamp Workflow Management 2019-09-05 19:14:24 UTC
SUSE-SU-2019:2309-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1115015,1115022,1115025,1145579,1145580,1145582
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845,CVE-2019-9511,CVE-2019-9513,CVE-2019-9516
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    nginx-1.14.2-6.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    nginx-1.14.2-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2019-09-10 22:19:21 UTC
openSUSE-SU-2019:2120-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1115015,1115022,1115025,1145579,1145580,1145582
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845,CVE-2019-9511,CVE-2019-9513,CVE-2019-9516
Sources used:
openSUSE Leap 15.1 (src):    nginx-1.14.2-lp151.4.3.1
Comment 15 Marcus Meissner 2020-08-05 17:45:53 UTC
released